VPS侦探论坛

 找回密码
 注册
查看: 242|回复: 2

求助 LNMP1.6 laravel 无法跨目录访问。项目跑步起来

[复制链接]
发表于 2019-8-6 15:09:30 | 显示全部楼层 |阅读模式



这是日志里的报错信息

2019/08/06 14:52:27 [error] 31014#0: *17 FastCGI sent in stderr: "PHP message: PHP Warning:  require(): open_basedir restriction in effect. File(/home/wwwroot/cypay/bootstrap/autoload.php) is not within the allowed path(s): (/home/wwwroot/cypay/public/:/tmp/:/proc/) in /home/wwwroot/cypay/public/index.php on line 21
PHP message: PHP Warning:  require(/home/wwwroot/cypay/bootstrap/autoload.php): failed to open stream: Operation not permitted in /home/wwwroot/cypay/public/index.php on line 21
PHP message: PHP Fatal error:  require(): Failed opening required '/home/wwwroot/cypay/public/../bootstrap/autoload.php' (include_path='.:/usr/local/php/lib/php') in /home/wwwroot/cypay/public/index.php on line 21" while reading response header from upstream, client: 39.155.215.246, server: 129.138.226.78, request: "GET /index.php HTTP/1.1", upstream: "fastcgi://unix:/tmp/php-cgi.sock:", host: "129.138.226.78"

我按照一些文档里写的删除 .user.ini文件
注释了fastcgi.conf里的最后一行
重启nginx结果还是不好使
哪位大神指导怎么回事呀。如何解决

美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2019-8-6 15:14:28 | 显示全部楼层


有没有了解的朋友啊。多谢了
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
发表于 2019-8-6 20:15:34 | 显示全部楼层



显示这个就肯定是没改对、没移除或没生效
.user.ini 是需要重启php-fpm的
fastcgi.conf是从其nginx
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-10-16 16:41 , Processed in 0.041250 second(s), 26 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表